Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class MediaScreenParameters.Viability.FloatingWindowParameters

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.MediaScreenParameters.Viability.FloatingWindowParameters

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Enclosing class:
  MediaScreenParameters.Viability

    public static class MediaScreenParameters.Viability.FloatingWindowParameters

extends PdfObjectWrapper<PdfDictionary>

Nested Class Summary
`static class` | `MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum`
`static class` | `MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum`
`static class` | `MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum`
`static class` | `MediaScreenParameters.Viability.FloatingWindowParameters.ResizeBehaviorEnum`

Constructor Summary
`MediaScreenParameters.Viability.FloatingWindowParameters(Dimension size)`

Method Summary
`MediaScreenParameters.Viability.FloatingWindowParameters` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum` | `getLocation()` Gets the location where the floating window should be positioned relative to the related window.
`MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum` | `getOffscreenBehavior()` Gets what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).
`MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum` | `getRelatedWindow()` Gets the window relative to which the floating window should be positioned.
`MediaScreenParameters.Viability.FloatingWindowParameters.ResizeBehaviorEnum` | `getResizeBehavior()` Gets how the floating window may be resized by a user.
`Dimension` | `getSize()` Gets the floating window's width and height, in pixels.
`boolean` | `isCloseable()` Gets whether the floating window should include user interface elements that allow a user to close it.
`boolean` | `isTitleBarVisible()` Gets whether the floating window should have a title bar.
`void` | `setCloseable(boolean value)`
`void` | `setLocation(MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum value)`
`void` | `setOffscreenBehavior(MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum value)`
`void` | `setRelatedWindow(MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum value)`
`void` | `setResizeBehavior(MediaScreenParameters.Viability.FloatingWindowParameters.ResizeBehaviorEnum value)`
`void` | `setSize(Dimension value)`
`void` | `setTitleBarVisible(boolean value)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaScreenParameters.Viability.FloatingWindowParameters

    public MediaScreenParameters.Viability.FloatingWindowParameters(Dimension size)

Method Detail

### clone

    public MediaScreenParameters.Viability.FloatingWindowParameters clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getLocation

    public MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum getLocation()

  Gets the location where the floating window should be positioned relative to the related window.

### getOffscreenBehavior

    public MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum getOffscreenBehavior()

  Gets what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

### getRelatedWindow

    public MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum getRelatedWindow()

  Gets the window relative to which the floating window should be positioned.

### getResizeBehavior

    public MediaScreenParameters.Viability.FloatingWindowParameters.ResizeBehaviorEnum getResizeBehavior()

  Gets how the floating window may be resized by a user.

### getSize

    public Dimension getSize()

  Gets the floating window's width and height, in pixels. These values correspond to the dimensions of the rectangle in which the media will play, not including such items as title bar and resizing handles.

### isCloseable

    public boolean isCloseable()

  Gets whether the floating window should include user interface elements that allow a user to close it. Meaningful only if `isTitleBarVisible()` is true.

### isTitleBarVisible

    public boolean isTitleBarVisible()

  Gets whether the floating window should have a title bar.

### setCloseable

    public void setCloseable(boolean value)

  See Also:
    `isCloseable()`

### setLocation

    public void setLocation(MediaScreenParameters.Viability.FloatingWindowParameters.LocationEnum value)

  See Also:
    `getLocation()`

### setOffscreenBehavior

    public void setOffscreenBehavior(MediaScreenParameters.Viability.FloatingWindowParameters.OffscreenBehaviorEnum value)

  See Also:
    `getOffscreenBehavior()`

### setRelatedWindow

    public void setRelatedWindow(MediaScreenParameters.Viability.FloatingWindowParameters.RelatedWindowEnum value)

  See Also:
    `getRelatedWindow()`

### setResizeBehavior

    public void setResizeBehavior(MediaScreenParameters.Viability.FloatingWindowParameters.ResizeBehaviorEnum value)

  See Also:
    `getResizeBehavior()`

### setSize

    public void setSize(Dimension value)

  See Also:
    `getSize()`

### setTitleBarVisible

    public void setTitleBarVisible(boolean value)

  See Also:
    `isTitleBarVisible()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.